@import url("https://fonts.googleapis.com/css2?family=Courier+Prime:wght@400;700&family=Karla:ital,wght@0,400;0,700;0,800;1,300&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Karla:wght@200;300&display=swap");
/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

h2,
h3,
h4 {
  font-weight: 400;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role=list],
ol[role=list] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

input,
button,
textarea,
select {
  font: inherit;
}

body {
  background-color: var(--primary-700);
  display: flex;
  align-items: center;
}

a {
  text-decoration: none;
  color: inherit;
}

:root {
  --primary-100: rgba(102, 108, 122, 1);
  --primary-200: rgba(64, 69, 82, 1);
  --primary-400: rgba(39, 43, 48, 1);
  --primary-700: rgba(29, 33, 37, 1);
  --secondary-100: rgba(175, 188, 212, 1);
  --secondary-200: rgba(122, 150, 184, 1);
  --secondary-400: rgb(90, 109, 131);
  --secondary-900: rgb(24, 30, 36);
  --secondary-700: rgba(50, 67, 88, 1);
  --white: rgba(242, 245, 253, 1);
  --black: rgba(5, 13, 30, 1);
  --grey-200: rgba(225, 226, 230, 1);
  --grey-300: rgba(212, 213, 214, 1);
  --grey-400: rgba(181, 181, 181, 1);
  --grey-700: rgba(127, 128, 137, 1);
  --grade-c: rgb(172, 169, 9);
  --grade-d: hsl(24, 83%, 36%);
  --grade-a: #8c0191;
  --grade-b: hsla(120, 100%, 25%, 1);
  --grade-f: rgb(123, 0, 0);
  --info-100: rgba(166, 190, 247, 1);
  --info-200: rgba(112, 147, 230, 1);
  --info-400: rgba(38, 92, 217, 1);
  --info-700: rgba(23, 55, 130, 1);
  --success-100: rgba(181, 245, 116, 1);
  --success-200: rgba(184, 255, 34, 1);
  --success-400: rgba(112, 224, 0, 1);
  --danger-100: rgba(255, 106, 106, 1);
  --danger-200: rgba(225, 70, 70, 1);
  --danger-400: hwb(0 0% 18%);
  --warning-100: rgba(251, 212, 157, 1);
  --warning-200: rgba(244, 185, 108, 1);
  --warning-400: rgba(244, 140, 6, 1);
  --large-title: 4.2rem;
  --title1: 3.6rem;
  --title2: 2.8rem;
  --title3: 2.4rem;
  --headline: 2.2rem;
  --body: 2rem;
  --caption1: 2.2rem;
  --caption2: 1.8rem;
  --caption3: 1.4rem;
}

/*
font-family: "Karla"
- Light 300 Italic 
- Regular 400 
- bold 700 
- ExtraBold 800 

font-family: "Courier Prime"
- Regular 400 
- Bold 700 
*/
html {
  font-size: 10px;
}

body {
  font-family: "Karla", sans-serif;
  font-size: var(--body);
  font-weight: 400;
  color: var(--grey-300);
}

h1 {
  font-size: var(--title1);
}

h2 {
  font-size: var(--title2);
}

h3 {
  font-size: var(--title3);
}

h4 {
  font-size: var(--headline);
  color: var(--grey-300);
}

.fz--large {
  font-size: var(--large-title);
}

p {
  color: var(--secondary-400);
}

.caption1 {
  font-size: var(--caption1);
  font-weight: 300;
}

.caption2 {
  font-size: var(--caption2);
  font-weight: 300;
}

.caption3 {
  font-size: var(--caption3);
  color: var(--secondary-200);
}

.clock {
  position: relative;
  background-color: var(--primary-700);
  width: 90%;
  max-width: 360px;
  min-width: 120px;
  background-image: url("../../img/clock_marks.svg");
  background-size: 130%;
  background-position: center center;
  background-repeat: no-repeat;
  float: left;
  border-radius: 50%;
  box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
}
.clock:before {
  content: "";
  float: left;
  padding-top: 100%;
  /* initial ratio of 1:1*/
}
.clock_time-left {
  line-height: 1;
  text-align: center;
  font-size: 1.8rem;
}
.clock_time-left .minutes-box {
  color: var(--grey-400);
}
.clock_time-left_hours {
  font-size: 4.8rem;
  font-weight: 800;
}
.clock_time-left_minutes {
  font-size: 2.4rem;
  font-weight: 800;
}

.login-header {
  display: flex;
  height: 100px;
  align-items: center;
}
.login-header .skool-logo {
  margin-left: 50px;
  font-family: "Sansita Swashed";
  font-style: normal;
  font-weight: 700;
  font-size: 34.7317px;
  color: #EAEAEA;
}

.login-main {
  display: flex;
  height: 500px;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.login-main .login-main-p-1 {
  font-family: "Roboto";
  font-style: normal;
  text-align: center;
  font-size: 25px;
  color: white;
  font-weight: 800;
  margin-bottom: 10px;
}
.login-main .login-main-p-2 {
  font-family: "Roboto";
  font-style: normal;
  text-align: center;
  font-size: 25px;
  color: #EAEAEA;
  font-weight: 800;
  margin-bottom: 20px;
}
.login-main .login-main-p-3 {
  font-family: "Roboto";
  font-style: normal;
  text-align: center;
  font-size: 40px;
  color: #EAEAEA;
  font-weight: 800;
  border: 3px solid white;
  padding: 10px 10px;
}
.login-main .login-google {
  margin-top: 50px;
  border: 2px solid #ADB5BD;
  box-sizing: border-box;
  width: 80%;
  padding: 10px;
  background-color: transparent;
  display: flex;
  justify-content: start;
  gap: 60px;
  align-items: center;
}
.login-main .login-google .login-google-text {
  font-family: "Sen";
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  line-height: 22px;
  color: white;
  border-radius: 10px;
}

.latest-grade {
  grid-area: grade;
  align-self: center;
}

.grade {
  background-color: var(--grade-a);
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  padding: 1.2rem 1.6rem;
  border-radius: 1.2rem;
  line-height: 1;
  width: 100%;
}
.grade_mark {
  font-weight: 800;
  opacity: 0.8;
}
.grade_mark sup {
  font-size: var(--title2);
  position: relative;
  left: -0.4rem;
}
.grade_info {
  mix-blend-mode: overlay;
  font-weight: 400;
  position: relative;
  top: 0.4rem;
  font-size: 0;
  text-align: right;
  flex-grow: 1;
  width: 0;
}
.grade_category {
  text-align: right;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
.grade_subject {
  opacity: 0.8;
  font-weight: 300;
  font-size: var(--caption2);
  color: var(--grey-300);
}

.gpa-box {
  grid-area: gpa;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.gpa {
  font-size: 0;
  color: var(--grey-300);
}
.gpa_icon {
  width: 0.8em;
  height: 0.8em;
  margin-right: 0.2em;
}
.gpa_value {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  font-weight: 700;
  line-height: 1;
}

.time-centre {
  grid-area: clock;
}

.tc {
  display: grid;
  grid-template-columns: 8rem 1fr 8rem;
  grid-template-rows: auto auto;
  grid-template-areas: "title title title" ". clock-box .";
  align-content: center;
  grid-row-gap: 1.8rem;
  grid-column-gap: 0.5rem;
}
.tc_title {
  grid-area: title;
  text-align: center;
  color: var(--grey-400);
  font-weight: 300;
}
.tc .clock_box {
  grid-area: clock-box;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.tc .clock_box_time-left {
  margin-top: 0.5rem;
  color: var(--secondary-400);
}
.tc .clock_box_time-left-minutes {
  color: var(--secondary-200);
}
.tc .clock_box_time-left-seconds {
  color: var(--secondary-200);
}
.tc_lesson {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.tc_lesson_timeline-word {
  text-align-last: left;
}
.tc_lesson_name {
  font-weight: 700;
  text-align: center;
  line-height: 1.5;
}
.tc_lesson_classroom {
  text-align: right;
  font-size: var(--caption3);
  color: var(--secondary-200);
  margin-bottom: 3.8rem;
}

.event {
  width: 34rem;
  height: 10rem;
  padding: 1.4rem 1.8rem;
  overflow: hidden;
  justify-content: space-between;
  background-color: var(--primary-200);
  border-radius: 1rem;
  display: flex;
}
.event:not(:last-child) {
  margin-right: 1rem;
}
.event_basic-info {
  flex-basis: 75%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 0.4rem;
}
.event_time-info {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 0.2rem;
}
.event_heading {
  display: inline-flex;
  align-items: baseline;
  gap: 1rem;
}
.event_description {
  font-size: var(--caption3);
  flex-grow: 1;
  margin-left: 1rem;
  overflow: scroll;
  color: var(--grey-700);
}
.event_subject {
  color: var(--grey-400);
}
.event_timeframe {
  font-size: 1.2rem;
}
.event_states {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  margin-top: auto;
  gap: 0.5rem;
}
.events {
  min-width: 0;
  grid-area: events;
  margin: 0 !important;
  margin-bottom: 0.5rem !important;
}
.events .caption1 {
  text-align: left;
  margin-bottom: 0.5rem;
  margin-left: 2vh;
}
.events_box {
  overflow: scroll;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  padding: 0 1rem;
  scrollbar-width: none;
}
.events_box::-webkit-scrollbar {
  display: none;
}
.events_box > .event {
  flex-shrink: 0;
  flex-grow: 0;
}

.dock-box {
  grid-area: dock;
  display: flex;
  align-items: center;
  justify-content: center;
}

.dock {
  display: flex;
  justify-content: space-between;
  background-color: var(--primary-700);
  max-width: 44rem;
  width: 100%;
  padding: 1.6rem 2.8rem;
  border-radius: 4rem;
  box-shadow: 0px 0px 17px 0px rgba(0, 0, 0, 0.33) inset;
}
.dock_item {
  height: 4.4rem;
  width: 4.4rem;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  flex-grow: 0;
  border: none;
  background-color: transparent;
  display: block;
  transition: all 0.2s;
  padding: 0;
}
.dock_item_icon {
  width: 100%;
  height: 100%;
  fill: var(--grey-700);
  transition: all 0.2s, transform 0.1s;
  cursor: pointer;
}
.dock_item_icon.active {
  filter: drop-shadow(0.4rem 0.4rem 0.2rem rgba(0, 0, 0, 0.8));
  fill: var(--grey-400);
}
.dock_item_icon:hover {
  filter: drop-shadow(0rem 0rem 0.6rem rgba(255, 255, 255, 0.4));
}
.dock_item_icon:active {
  filter: drop-shadow(0rem 0rem 0.6rem rgba(255, 255, 255, 0.8));
  transform: scale(1.1);
}

.term-switch {
  background: var(--primary-400);
  box-shadow: 0px 0px 1.4rem 4px rgba(0, 0, 0, 0.2) inset;
  border-radius: 2.4rem;
  display: flex;
  padding: 0.6rem 1.2rem;
  justify-content: space-between;
  width: fit-content;
  color: var(--grey-700);
  font-size: var(--caption1);
  gap: 0.2rem;
  overflow: hidden;
  position: relative;
}
.term-switch_indicator {
  position: absolute;
  left: 5rem;
  transition: left 0.2s cubic-bezier(0.68, -0.6, 0.32, 1.6);
  box-shadow: 0px 0px 0.8rem 1px rgba(0, 0, 0, 0.1) inset;
  top: 0.6rem;
  width: 3.6rem;
  height: 3.6rem;
  background-color: var(--primary-700);
  z-index: 1;
  border-radius: 50%;
}
.term-switch_indicator.base {
  left: 1.2rem;
}
.term-switch_item {
  cursor: pointer;
  width: 3.6rem;
  height: 3.6rem;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 2;
  transition: box-shadow 0.2s;
}
.term-switch_item:hover {
  box-shadow: 0px 0px 1rem 2px rgba(255, 255, 255, 0.08);
}
.term-switch_item.active {
  color: var(--grey-200);
}
.term-switch_box {
  grid-area: term;
}

.subject {
  background-color: var(--secondary-900);
  box-shadow: 2px 3px 0.6rem 2px rgba(0, 0, 0, 0.3);
  padding: 1.2rem 2rem;
  border-radius: 1rem;
  cursor: pointer;
  transition: all 0.2s, transform 0.1s;
  width: 95%;
}
.subject_name {
  font-weight: 700;
  color: var(--secondary-100);
}
.subject:hover {
  box-shadow: 0px 0px 1rem 2px rgba(255, 255, 255, 0.08);
}
.subject:active {
  box-shadow: 0px 0px 1rem 2px rgba(255, 255, 255, 0.4);
  transform: scale(1.03);
}
.subject .gpa {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 1rem;
  margin-bottom: 1rem;
}
.subject .gpa_value {
  font-size: 2.2rem;
  font-weight: 400;
  color: var(--secondary-400);
}
.subject .grades_list {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 0.8rem;
  overflow: scroll;
  overflow-x: visible;
}
.subject .grades_list > * {
  flex-shrink: 0;
  flex-grow: 0;
}
.subject .grades_list .grade-small {
  width: 1.6em;
  height: 1.6em;
  overflow: hidden;
  border-radius: 50%;
  display: flex;
  align-items: center;
  font-size: var(--caption2);
  justify-content: center;
}
.subject .grades_list .grade-small > span {
  mix-blend-mode: overlay;
}
.subject .grades_list .grade-small[data-grade=A] {
  background: var(--grade-a);
}
.subject .grades_list .grade-small[data-grade=B] {
  background: var(--grade-b);
}
.subject .grades_list .grade-small[data-grade=C] {
  background: var(--grade-c);
}
.subject .grades_list .grade-small[data-grade=D] {
  background: var(--grade-d);
}
.subject .grades_list .grade-small[data-grade=F] {
  background: var(--grade-f);
}
.subject_list {
  grid-area: subject-list;
  min-width: 0;
  min-height: 0;
  margin: 0 !important;
  display: flex;
  justify-content: center;
}
.subject_list .term {
  display: none;
  height: 100%;
  max-width: 100%;
  width: 100vw;
  min-width: 0;
  overflow: scroll;
  padding: 1rem;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
  scrollbar-width: none;
  max-width: 100%;
}
.subject_list .term.active {
  display: flex;
}
.subject_list .term::-webkit-scrollbar {
  display: none;
}
.subject-info {
  grid-area: info;
  line-height: 1;
}
.subject-info_name {
  font-weight: 800;
}
.subject-info_teacher {
  font-weight: 200;
  color: var(--grey-400);
}

.grades-ext_list {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  grid-area: grade-list;
  overflow: scroll;
  scrollbar-width: none;
}
.grades-ext_list::-webkit-scrollbar {
  display: none;
}

.grade-ext {
  display: flex;
  background-color: var(--primary-200);
  align-items: center;
  border-radius: 1rem;
  overflow: hidden;
  gap: 1.2rem;
  flex-grow: 0;
  flex-shrink: 0;
}
.grade-ext_mark {
  font-size: var(--title1);
  font-weight: 700;
  width: 1.4em;
  height: 1.6em;
  padding: 0.4rem;
  display: flex;
  align-items: center;
  justify-content: center;
}
.grade-ext_mark > span {
  mix-blend-mode: overlay;
}
.grade-ext_mark[data-grade=A] {
  background: var(--grade-a);
}
.grade-ext_mark[data-grade=B] {
  background: var(--grade-b);
}
.grade-ext_mark[data-grade=C] {
  background: var(--grade-c);
}
.grade-ext_mark[data-grade=D] {
  background: var(--grade-d);
}
.grade-ext_mark[data-grade=F] {
  background: var(--grade-f);
}
.grade-ext_date {
  margin-right: auto;
}
.grade-ext_weight {
  padding-left: 0.8rem;
  padding-right: 1rem;
  height: 90%;
  display: flex;
  align-items: center;
}
.date_box {
  grid-area: date;
  display: flex;
  margin-right: 0 !important;
  align-items: center;
}
.date_box_date {
  font-weight: 700;
  color: var(--grey-300);
}

.controls_box {
  grid-area: control;
  display: flex;
  justify-content: flex-end;
  margin-left: 0 !important;
}
.controls_box_icon {
  width: 5.4rem;
  height: 5.4rem;
  fill: var(--grey-300);
  color: var(--grey-300);
  transition: all 0.2s, transform 0.1s;
  cursor: pointer;
}
.controls_box_icon:hover {
  filter: drop-shadow(0rem 0rem 0.6rem rgba(255, 255, 255, 0.4));
}
.controls_box_icon:active {
  filter: drop-shadow(0rem 0rem 0.6rem rgba(255, 255, 255, 0.8));
  transform: scale(1.1);
}

.week_view {
  display: flex;
  justify-content: center;
  align-items: center;
  grid-area: week;
  overflow: scroll;
}
.week_view .day {
  flex-grow: 1;
  margin: 0 0.8rem;
  padding: 0.5rem 0.4rem;
  border-radius: 1.2rem;
  cursor: pointer;
  transition: all 0.2s ease-out;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.week_view .day.active {
  background-color: var(--primary-700);
  box-shadow: 0px 0px 17px 0px rgba(0, 0, 0, 0.33) inset;
}
.week_view .day.active .day_date {
  color: var(--white);
}
.week_view .day:hover {
  box-shadow: 0px 0px 1rem 2px rgba(255, 255, 255, 0.08);
}
.week_view .day:active {
  box-shadow: 0px 0px 1rem 2px rgba(255, 255, 255, 0.4);
  transform: scale(1.06);
}
.week_view .day.present .day_date {
  color: var(--info-400);
  font-weight: 700;
}
.week_view .day_name {
  font-size: var(--caption2);
}
.week_view .day_date {
  color: var(--grey-400);
}

.timetable {
  grid-area: timetable;
  min-height: 0;
  position: relative;
  border-top: 0.1rem solid rgba(90, 109, 131, 0.4);
  padding: 1rem 0;
  overflow: scroll;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-left: 2.4rem;
  gap: 1rem;
  scrollbar-width: none;
}
.timetable::-webkit-scrollbar {
  display: none;
}
.timetable > * {
  flex-grow: 0;
  flex-shrink: 0;
}
.timetable .time_point_box {
  position: absolute;
  left: 0;
  top: 0;
  background-color: red;
}
.subject-event {
  width: 80%;
  height: 8rem;
  border-radius: 1rem;
  background-color: var(--primary-200);
}

.container {
  color: var(--white);
  height: 100vh;
  width: 100vw;
  max-width: 428px;
  max-height: 926px;
  box-shadow: 0 0 20px 5px rgba(0, 0, 0, 0.2);
  padding: 2vh 0;
  margin: 0 auto;
  background-color: var(--primary-400);
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: minmax(60px, max-content) 1fr auto auto;
  row-gap: 2vh;
  column-gap: 1vw;
}
.container > * {
  margin: 0 2vh;
}

/*# sourceMappingURL=main.css.map */
